Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protege.model.framestore
Class Record

    java.lang.Object
      edu.stanford.smi.protege.model.framestore.Record

    public class Record

extends Object

TODO Class Comment

Author:
  Ray Fergerson

Constructor Summary
`Record(Frame frame, Slot slot, Facet facet, boolean isTemplate, Collection values)`

Method Summary
`void` | `addValue(Object o)`
`boolean` | `equals(Object o)`
`Facet` | `getFacet()`
`Frame` | `getFrame()`
`List` | `getInternalValues()`
`Slot` | `getSlot()`
`int` | `getValueCount()`
`List` | `getValues()`
`int` | `hashCode()`
`boolean` | `isEmpty()`
`boolean` | `isTemplate()`
`void` | `moveValue(int from, int to)`
`boolean` | `removeValue(Object o)`
`void` | `replaceFrameReference(Frame replacementFrame)`
`void` | `replaceFrameValue(Frame replacementFrame)`
`void` | `setValues(Collection values)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Record

    public Record(Frame frame,
                  Slot slot,
                  Facet facet,
                  boolean isTemplate,
                  Collection values)

Method Detail

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### getFrame

    public Frame getFrame()

### getSlot

    public Slot getSlot()

### getFacet

    public Facet getFacet()

### isTemplate

    public boolean isTemplate()

### getInternalValues

    public List getInternalValues()

### getValueCount

    public int getValueCount()

### getValues

    public List getValues()

### setValues

    public void setValues(Collection values)

### addValue

    public void addValue(Object o)

### removeValue

    public boolean removeValue(Object o)

### moveValue

    public void moveValue(int from,
                          int to)

### replaceFrameReference

    public void replaceFrameReference(Frame replacementFrame)

### replaceFrameValue

    public void replaceFrameValue(Frame replacementFrame)

### isEmpty

    public boolean isEmpty()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2009 Stanford University.